﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel
@using eCommerce.Services.Model.Enums

<div class="checkout__step">

    <div class="checkout-step__content">
        <h3 class="checkout-step__title">3. Seleccioná una forma de entrega</h3>
        <div class="border-bottom"></div>

        <ul class="checkout-step__options">

            @*<li>
                @if (Model.Total >= 8000)
                {
                    <a href="https://api.whatsapp.com/send?phone=5491168903506&amp;text=Hola%20Fibrahumana,%20tengo%20una%20consulta." target="_blank">
                       <p class="step-option__delivery"><i class="fa fa-whatsapp green" aria-hidden="true"></i> *Consulta por los transportes disponibles para tu envio gratis (011-6890-3506). </p>
                    </a>
                }
            </li>*@

            @foreach (var item in Model.DeliveryMethods)
            {
                <li>
                    <input id="ShippingMethod_@item.DeliveryMethodId" data-shipingId="@item.DeliveryMethodId" data-requiredData="@item.RequiresData" data-isLocal="@item.IsLocal" data-isProvince="@item.IsProvince" data-showLocales="@item.ShowLocales" data-cost="@item.Cost" class="step-option__radio js-step-radio js-delivery-method" type="radio" name="ShippingMethod" value="@item.DeliveryMethodId" data-excluded="@item.ExcludedPaymetnMethods" data-transport="@item.IsTransport" />
                    <label for="ShippingMethod_@item.DeliveryMethodId" class="step-option">
                        <span class="step-option__name">@item.Name</span>
                        @if (item.Description != null)
                        {
                            <p class="step-option__description">@item.Description</p>
                        }
                    </label>
                </li>
            }


            @*@if (Model.StoreType != UserTypeEnum.Mayorista)
            {
                <li>
                    <input id="ShippingMethod_@((int)DeliveryMethodEnum.OcaPaS)" data-type="oca" class="step-option__radio js-step-radio js-delivery-method" type="radio" name="ShippingMethod" value="@((int)DeliveryMethodEnum.OcaPaS)" />
                    <label for="ShippingMethod_@((int)DeliveryMethodEnum.OcaPaS)" class="step-option">
                        <span class="step-option__name">OCA - Envío a sucursal</span>
                        <p class="step-option__description">Envío a alguna sucursal de OCA a través de OCA envíos.</p>
                    </label>
                </li>

                <li>
                    <input id="ShippingMethod_@((int)DeliveryMethodEnum.OcaPaP)" data-type="ocap" class="step-option__radio js-step-radio js-delivery-method" type="radio" name="ShippingMethod" value="@((int)DeliveryMethodEnum.OcaPaP)" />
                    <label for="ShippingMethod_@((int)DeliveryMethodEnum.OcaPaP)" class="step-option">
                        <span class="step-option__name">OCA - Envío a domicilio</span>
                        <p class="step-option__description">Envío a domicilio a través de OCA envíos.</p>
                    </label>
                </li>
            }*@

            @*Compra menor a 12 unidades sólo para retirar por sucursal (sin contar accesorios, como bolsas y medias).*@

            @*<li>
                <input id="ShippingMethod_@((int)DeliveryMethodEnum.RetiraEnCentroDeEntrega)" data-type="store" class="step-option__radio js-step-radio js-delivery-method" type="radio" name="ShippingMethod" value="@((int)DeliveryMethodEnum.RetiraEnCentroDeEntrega)" />
                <label for="ShippingMethod_@((int)DeliveryMethodEnum.RetiraEnCentroDeEntrega)" class="step-option">
                    <span class="step-option__name">Retirar en el local</span>
                    <p class="step-option__description">Retirá sin costo adicional por alguno de nuestros locales.</p>
                </label>
            </li>*@

            @*@if (Model.StoreType == (int)UserTypeEnum.Minorista)
            {
                <li>
                    <input id="ShippingMethod_@((int)DeliveryMethodEnum.AndreaniS)" data-type="andreanis" class="step-option__radio js-step-radio js-delivery-method" type="radio" name="ShippingMethod" value="@((int)DeliveryMethodEnum.AndreaniS)" />
                    <label for="ShippingMethod_@((int)DeliveryMethodEnum.AndreaniS)" class="step-option">
                        <span class="step-option__name">Andreani - Envío a sucursal</span>
                        <p class="step-option__description">Envío a sucursal a través de Andreani envíos.</p>
                    </label>
                </li>
                <li>
                    <input id="ShippingMethod_@((int)DeliveryMethodEnum.AndreaniD)" data-type="andreanid" class="step-option__radio js-step-radio js-delivery-method" type="radio" name="ShippingMethod" value="@((int)DeliveryMethodEnum.AndreaniD)" />
                    <label for="ShippingMethod_@((int)DeliveryMethodEnum.AndreaniD)" class="step-option">
                        <span class="step-option__name">Andreani - Envío a domicilio</span>
                        <p class="step-option__description">Envío a domicilio a través de Andreani envíos.</p>
                    </label>
                </li>
            }*@

            @*<li>
                <input id="ShippingMethod_@((int)DeliveryMethodEnum.AConvenir)" class="step-option__radio js-step-radio js-delivery-method" type="radio" name="ShippingMethod" value="@((int)DeliveryMethodEnum.AConvenir)" />
                <label for="ShippingMethod_@((int)DeliveryMethodEnum.AConvenir)" class="step-option">
                    <span class="step-option__name">A Convenir</span>
                    <p class="step-option__description">Luego de finalizar la compra, coordinalo con nosotros.</p>
                </label>
            </li>*@

        </ul>

       
        
    </div>
    
</div>